Subject: Re: Feature request: Set git svn options in .git/config file

From: Eric Wong <[email-masked]>
Date: Mon, 5 Dec 2016 22:54:24 +0000

Juergen Kosel <[email-masked]> wrote:
> Therefore I believe, that it would be the best solution to store the
> settings of --add-author-from, --use-log-author and maybe
> --authors-prog in the .git/config file.

Actually, "svn.authorsProg" is already documented as a config
option for --authors-prog.

It's been a while since I looked at this, but in git-svn,
all the "--xxx-yyy" command-line options should be available
under the appropriate "svn.xxxYyy" config key.

So, can you confirm that svn.addAuthorFrom and svn.useLogAuthor
config keys work and can be documented?

Even better would be for you to provide a patch to the
documentation :)
Otherwise, I can write one up sometime this week.

Thanks.